BlendOff = {};

function BlendOff.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function BlendOff:load(xmlFile)
	self.BlendOff = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.BlendOff#BlendOff"));
end;

function BlendOff:draw()
end;

function BlendOff:delete()
end;

function BlendOff:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BlendOff:keyEvent(unicode, sym, modifier, isDown)
end;

function BlendOff:update()
end;

function BlendOff:onAttach()
	setVisibility(self.BlendOff, false);
end;

function BlendOff:onDetach()
	setVisibility(self.BlendOff, true);
end;